MCP Tools Reference: apihub.googleapis.com

Tool: get_dependency

Get details about a dependency resource in the API hub.

The following sample demonstrate how to use curl to invoke the get_dependency MCP tool.

Curl Request
                  
curl --location 'https://apihub.REGION.rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_dependency",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Where, REGION is the supported API hub region. For more information, see Supported regions.

Input Schema

The [GetDependency][.ApiHubDependencies.GetDependency] method's request.

GetDependencyRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the dependency resource to retrieve. Format: projects/{project}/locations/{location}/dependencies/{dependency}

Output Schema

A dependency resource defined in the API hub describes a dependency directed from a consumer to a supplier entity. A dependency can be defined between two Operations or between an Operation and External API.

Dependency

JSON representation
{
  "name": string,
  "consumer": {
    object (DependencyEntityReference)
  },
  "supplier": {
    object (DependencyEntityReference)
  },
  "state": enum (State),
  "description": string,
  "discoveryMode": enum (DiscoveryMode),
  "errorDetail": {
    object (DependencyErrorDetail)
  },
  "createTime": string,
  "updateTime": string,
  "attributes": {
    string: {
      object (AttributeValues)
    },
    ...
  }
}
Fields
name

string

Identifier. The name of the dependency in the API Hub.

Format: projects/{project}/locations/{location}/dependencies/{dependency}

consumer

object (DependencyEntityReference)

Required. Immutable. The entity acting as the consumer in the dependency.

supplier

object (DependencyEntityReference)

Required. Immutable. The entity acting as the supplier in the dependency.

state

enum (State)

Output only. State of the dependency.

description

string

Optional. Human readable description corresponding of the dependency.

discoveryMode

enum (DiscoveryMode)

Output only. Discovery mode of the dependency.

errorDetail

object (DependencyErrorDetail)

Output only. Error details of a dependency if the system has detected it internally.

createTime

string (Timestamp format)

Output only. The time at which the dependency was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. The time at which the dependency was last updated.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

attributes

map (key: string, value: object (AttributeValues))

Optional. The list of user defined attributes associated with the dependency resource. The key is the attribute name. It will be of the format: projects/{project}/locations/{location}/attributes/{attribute}. The value is the attribute values associated with the resource.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

DependencyEntityReference

JSON representation
{
  "displayName": string,

  // Union field identifier can be only one of the following:
  "operationResourceName": string,
  "externalApiResourceName": string
  // End of list of possible types for union field identifier.
}
Fields
displayName

string

Output only. Display name of the entity.

Union field identifier. Required. Unique identifier for the participating entity. identifier can be only one of the following:
operationResourceName

string

The resource name of an operation in the API Hub.

Format: projects/{project}/locations/{location}/apis/{api}/versions/{version}/operations/{operation}

externalApiResourceName

string

The resource name of an external API in the API Hub.

Format: projects/{project}/locations/{location}/externalApis/{external_api}

DependencyErrorDetail

JSON representation
{
  "error": enum (Error),
  "errorTime": string
}
Fields
error

enum (Error)

Optional. Error in the dependency.

errorTime

string (Timestamp format)

Optional. Timestamp at which the error was found.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

AttributesEntry

JSON representation
{
  "key": string,
  "value": {
    object (AttributeValues)
  }
}
Fields
key

string

value

object (AttributeValues)

AttributeValues

JSON representation
{
  "attribute": string,

  // Union field Value can be only one of the following:
  "enumValues": {
    object (EnumAttributeValues)
  },
  "stringValues": {
    object (StringAttributeValues)
  },
  "jsonValues": {
    object (StringAttributeValues)
  },
  "uriValues": {
    object (StringAttributeValues)
  }
  // End of list of possible types for union field Value.
}
Fields
attribute

string

Output only. The name of the attribute. Format: projects/{project}/locations/{location}/attributes/{attribute}

Union field Value. The attribute values associated with the resource. Value can be only one of the following:
enumValues

object (EnumAttributeValues)

The attribute values associated with a resource in case attribute data type is enum.

stringValues

object (StringAttributeValues)

The attribute values associated with a resource in case attribute data type is string.

jsonValues

object (StringAttributeValues)

The attribute values associated with a resource in case attribute data type is JSON.

uriValues

object (StringAttributeValues)

The attribute values associated with a resource in case attribute data type is URL, URI or IP, like gs://bucket-name/object-name.

EnumAttributeValues

JSON representation
{
  "values": [
    {
      object (AllowedValue)
    }
  ]
}
Fields
values[]

object (AllowedValue)

Required. The attribute values in case attribute data type is enum.

AllowedValue

JSON representation
{
  "id": string,
  "displayName": string,
  "description": string,
  "immutable": boolean
}
Fields
id

string

Required. The ID of the allowed value. * If provided, the same will be used. The service will throw an error if the specified id is already used by another allowed value in the same attribute resource. * If not provided, a system generated id derived from the display name will be used. In this case, the service will handle conflict resolution by adding a system generated suffix in case of duplicates.

This value should be 4-63 characters, and valid characters are /[a-z][0-9]-/.

displayName

string

Required. The display name of the allowed value.

description

string

Optional. The detailed description of the allowed value.

immutable

boolean

Optional. When set to true, the allowed value cannot be updated or deleted by the user. It can only be true for System defined attributes.

StringAttributeValues

JSON representation
{
  "values": [
    string
  ]
}
Fields
values[]

string

Required. The attribute values in case attribute data type is string or JSON.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌